<template>
  <div v-loading="loading" :style="'height:' + height" class="app-container">
    <!-- <el-row style="margin-bottom: 10px;">
        <el-col :span="1.5">
          <el-button type="primary" plain icon="el-icon-refresh-right" size="mini" @click="handleRefresh">刷新</el-button>
        </el-col>
      </el-row> -->

    <iframe :src="src" id="reportView" frameborder="no" style="width: 100%; height: 100%" scrolling="auto" />
  </div>
</template>
<script>
import { getToken } from "@/utils/auth";
export default {
  name: "Ureport",
  data() {
    return {
      src: "",
      height: document.documentElement.clientHeight - 94.5 + "px;",
      loading: true,
    
    };
  },
  created() {
    console.log(this.$route.query)
    this.src =
      this.$route.query.url +
      "&token=Bearer " +
      getToken();

  },
  methods: {
    handleRefresh() {
      document.getElementById("reportView").src =
        document.getElementById("reportView").src;
    },
  },
  mounted: function () {
    setTimeout(() => {
      this.loading = false;
    }, 230);
    const that = this;
    window.onresize = function temp() {
      that.height = document.documentElement.clientHeight - 94.5 + "px;";
    };
  },
};
</script>